Get follower information
- GET /{index}/_ccr/info
Get information about all cross-cluster replication follower indices. For example, the results include follower index names, leader index names, replication options, and whether the follower indices are active or paused.
- Cluster privileges:
monitor
Path Parameters
-
indexIndexName | IndexNamerequired -
A comma-delimited list of follower index patterns.
Query Parameters
-
master_timeoutstring Duration · default: 30s The period to wait for a connection to the master node. If the master node is not available before the timeout expires, the request fails and returns an error. It can also be set to
-1to indicate that the request should never timeout.
Response
-
follower_indicesFollowerIndexrequired -
follower_indexstring IndexNamerequired -
The name of the follower index.
-
leader_indexstring IndexNamerequired -
The name of the index in the leader cluster that is followed.
-
parametersFollowerIndexParameters -
An object that encapsulates cross-cluster replication parameters. If the follower index's status is paused, this object is omitted.
-
max_outstanding_read_requestsnumber -
The maximum number of outstanding reads requests from the remote cluster.
-
max_outstanding_write_requestsnumber -
The maximum number of outstanding write requests on the follower.
-
max_read_request_operation_countnumber -
The maximum number of operations to pull per read from the remote cluster.
-
max_read_request_sizenumber | string ByteSize -
The maximum size in bytes of per read of a batch of operations pulled from the remote cluster.
-
max_retry_delaystring Duration -
The maximum time to wait before retrying an operation that failed exceptionally. An exponential backoff strategy is employed when retrying.
-
max_write_buffer_countnumber -
The maximum number of operations that can be queued for writing. When this limit is reached, reads from the remote cluster will be deferred until the number of queued operations goes below the limit.
-
max_write_buffer_sizenumber | string ByteSize -
The maximum total bytes of operations that can be queued for writing. When this limit is reached, reads from the remote cluster will be deferred until the total bytes of queued operations goes below the limit.
-
max_write_request_operation_countnumber -
The maximum number of operations per bulk write request executed on the follower.
-
max_write_request_sizenumber | string ByteSize -
The maximum total bytes of operations per bulk write request executed on the follower.
-
read_poll_timeoutstring Duration -
The maximum time to wait for new operations on the remote cluster when the follower index is synchronized with the leader index. When the timeout has elapsed, the poll for operations will return to the follower so that it can update some statistics. Then the follower will immediately attempt to read from the leader again.
-
remote_clusterstring Namerequired -
The remote cluster that contains the leader index.
-
statusFollowerIndexStatusrequired -
The status of the index following:
activeorpaused. -
Values:
activepaused